<mat-card>
    <mat-card-header>
        <mat-card-title class="title">اطلاعات درخواست کاربران
            <!-- <button *ngIf="isAdmin" mat-mini-fab color="primary" [routerLink]="['/user_equipment/new']">
        <mat-icon>add</mat-icon>
      </button> -->
            <!-- <button *ngIf="isUser" mat-mini-fab color="primary" [routerLink]="['/user_equipmentreq/new']">
      <mat-icon>add</mat-icon>
    </button> -->
        </mat-card-title>
    </mat-card-header>
    <mat-card-content>
        <div class="grid-wrapper">
            <kendo-grid [data]="query | async" [pageSize]="state.take" [skip]="state.skip" [sort]="state.sort" [sortable]="{ mode: 'multiple' }" [pageable]="{
  buttonCount: buttonCount,
  info: info,
  type: type,
  pageSizes: pageSizes,
  previousNext: previousNext
}" [scrollable]="'scrollable'" filterable="menu" [filter]="state.filter" [resizable]="true" (dataStateChange)="dataStateChange($event)" (filterChange)="filterChange($event)" [height]="450">
                <!-- [groupable]="{ showFooter: true }" [group]="state.group" [filterable]="true" [filter]="state.filter"  (filterChange)="filterChange($event)" -->
                <!-- <kendo-grid-column field="id" title="سريال" width="40">
    </kendo-grid-column> -->
                <!-- <a mat-mini-fab [routerLink]="['/user/', dataItem.user_ID]">ويرايش</a> -->
                <kendo-grid-command-column title="ع" width="50" [resizable]="false" [locked]="true">
                    <ng-template kendoGridCellTemplate let-dataItem="dataItem">
                        <button mat-icon-button matTooltip="جزئیات">
                            <mat-icon [routerLink]="['/user_equipmentreq/reqdetail/', dataItem.userEquipReq_ID]"
                                color="accent">
                                details</mat-icon>

                            <!-- <mat-icon *ngIf="isUser" [routerLink]="['/user_equipmentreq/', dataItem.userEquip_ID]" color="accent">create</mat-icon> -->
                        </button>
                    </ng-template>
                </kendo-grid-command-column>

                <div *ngIf="isAdmin">
                    <kendo-grid-column field="userReq.office.office_ID" title="اداره" width="50">
                        <ng-template kendoGridFilterMenuTemplate let-column="column" let-filter="filter" let-filterService="filterService">
                            <app-multicheck-filter [isPrimitive]="false" [field]="column.field" [filterService]="filterService" [currentFilter]="filter" textField="office_Name" valueField="office_ID" [data]="offices">
                            </app-multicheck-filter>
                        </ng-template>
                        <ng-template kendoGridCellTemplate let-dataItem>
                            {{dataItem.userReq.office.office_Name}} {{dataItem.userReq.office.office_Code}}
                        </ng-template>
                    </kendo-grid-column>
                </div>
                <div *ngIf="isAdmin">
                    <kendo-grid-column field="userReq_ID" title="کاربر" width="80">
                        <ng-template kendoGridFilterMenuTemplate let-column="column" let-filter="filter" let-filterService="filterService">
                            <app-multicheck-filter [isPrimitive]="false" [field]="column.field" [filterService]="filterService" [currentFilter]="filter" textField="user_Lname" valueField="user_ID" [data]="users">
                            </app-multicheck-filter>
                        </ng-template>
                        <ng-template kendoGridCellTemplate let-dataItem>
                            {{dataItem.userReq.user_Lname}} {{dataItem.userReq.user_Fname}}
                        </ng-template>
                    </kendo-grid-column>
                </div>
                <kendo-grid-column field="equipReq_ID" title="نام تجهيزات" width="100">
                    <ng-template kendoGridFilterMenuTemplate let-column="column" let-filter="filter" let-filterService="filterService">
                        <app-multicheck-filter [isPrimitive]="false" [field]="column.field" [filterService]="filterService" [currentFilter]="filter" textField="equip_Name" valueField="equip_ID" [data]="equipments">
                        </app-multicheck-filter>
                    </ng-template>
                    <ng-template kendoGridCellTemplate let-dataItem>
                        {{dataItem.equipmentReq.equip_Name}}
                        <!-- <button *ngIf="isCase(dataItem.equipmentReq.equip_Name)" mat-button color="accent" class="small" (click)='openDialog(dataItem.userEquipReq_ID)'>جزئیات</button> -->
                    </ng-template>
                </kendo-grid-column>


                <kendo-grid-column field="shSerialReq" title="ش.سريال" width="50">
                </kendo-grid-column>

                <kendo-grid-column field="shAmvalReq" title="ش.اموال" width="50">
                </kendo-grid-column>

                <kendo-grid-column field="dateReqAction" title="ت.درخواست" width="50">
                    <ng-template kendoGridCellTemplate let-dataItem let-rowIndex="rowIndex">
                        {{dataItem.dateReqAction | momentJalaali:'jYYYY/jMM/jDD' }}
                        <!-- {{dataItem.lastLoggedIn | momentJalaali:'jD jMMMM jYYYY [ساعت] LT'}} -->
                    </ng-template>
                </kendo-grid-column>

                <kendo-grid-column field="userRecAction" title="درخواست" width="50">
                    <ng-template kendoGridCellTemplate let-dataItem let-rowIndex="rowIndex">
                        {{dataItem.userRecAction }}
                    </ng-template>
                </kendo-grid-column>

                <kendo-grid-column field="userDoAction" title="پاسخ" width="50">
                    <ng-template kendoGridCellTemplate let-dataItem let-rowIndex="rowIndex">
                        {{dataItem.userDoAction==null?'درحال بررسی':dataItem.userDoAction }}
                    </ng-template>
                </kendo-grid-column>


                <kendo-grid-messages pagerPage="صفحه" pagerOf="از" pagerItems="مورد" pagerItemsPerPage="تعداد مورد در هر صفحه">
                </kendo-grid-messages>
            </kendo-grid>
            <div *ngIf="loading" class="k-i-loading"></div>
        </div>
    </mat-card-content>
</mat-card>